Inhaltsverzeichnis

Herzlich Willkommen, zur Hilfe für das Artikelkatalogisierungsprogramm.

Bitte lesen Sie sich die Hilfe aufmerksam durch, damit Ihnen das Arbeiten mit dem Programm etwas leichter fällt.

Sie haben auch während des Arbeitens jederzeit die Möglichkeit im Programm durch Betätigen der F1-Taste auf diese Hilfe zurückzugreifen.

Durch Anklicken der Überschriften gelangen Sie direkt zu dem hinterlegten Thema.

Systemvoraussetzungen

Eine kurze Programmbeschreibung

1. Der Start
 1.1 Eine Überschriftenauswahl treffen
 1.2 Eingabe der Benutzerdaten
1.3 Die Symbolleiste

2 Die Kategorien
2.3.1 Eine Kategorie anlegen
2.3.2 Eine Kategorie löschen

3. Einen Artikel erfassen
3.1 Einen Artikel eintragen
3.2 Einen Artikel ändern
3.3 Einen Artikel löschen

4. Die Rechnung
 4.1 Eine Rechnung erstellen
4.1.1 Einen Artikel in die Rechnung einfügen
4.1.2 Einen Artikel in der Rechnung löschen
4.2 Eine Rechnung drucken
4.3 Eine Rechnung exportieren
4.4 Eine Rechnung löschen

5. Eine Kategorie ausgeben
 5.1 Eine Kategorie drucken
5.2 Eine Kategorie als PDF-Dokument generieren
5.3 Eine Kategorie als Exceldatei generieren
5.4 Kategoriedaten sichern oder einlesen
5.4.1 Kategoriedaten sichern
5.4.2 Kategoriedaten einlesen

6. Zwischen den Kategorien blättern

7. Das Fragezeichenmenü

8. Die Katalogisierungssoftware beenden

9. Versionsänderungen

10. Ein bisschen Eigenwerbung muss sein


Die Systemvoraussetzungen

Betriebssystem: Windows 2000, WIndows XP (Home oder Professional)-SP2

Excelversion: Excel 2000, Excel 2002, Excel 2003

Arbeitsspeicher: 512 MB oder höher

Der minimale Speicherplatzbedarf der zur Installation des Programms und der Zusatzprogramme zum generieren der PDF-Dokumente, einschließlich der Hilfe, beträgt ca. 25 Megabyte.

Bevor Sie die Katalogisierungssoftware oder das Zusatzprogramm PDF-Creator installieren, sollten Sie in Word unter "Extras => Makro => Sicherheit" die Sicherheitsstufe auf "Mittel" stellen, damit die Installation des PDF-Creators ohne Problem funktioniert.

Installation

Nach dem Auswählen der Setup.exe wird eine Installationsroutine gestartet, wie man sie von anderen Windowsprogrammen her kennt. Dort muss zunächst eine Lizenzvereinbarung akzeptiert werden, bevor man dann Infos, welche Änderungen sich in der neusten zu installierenden Version ergeben haben, zu lesen bekommt. Danach gelangt man in den Bereich, in dem man dann noch die Möglichkeit hat, den Installationspfad auszuwählen. Nach einem Klick auf “Weiter“, wird das Programm, sowie alle erforderlichen Dateien in das vorher angegebene Verzeichnis installiert. Zusätzlich wird eine Verknüpfung auf dem Desktop, sowie eine Programmgruppe im Startmenü hinzugefügt. Diese Programmgruppe enthält neben den Buttons zum Starten des Programms auch die Hilfedatei und eine Verknüpfung zu der Uninstall.exe zum Deinstallieren des Programms und der dazugehörigen Daten.

Die Katalogisierungssoftware sollte auf allen Excelversionen ab Excel2000 bis 2003 lauffähig sein.

Da aber auch ich nicht frei von Fehlern bin, bitte ich mir Fehler (auch Rechtschreibfehler) mitzuteilen. Schicken Sie einfach unter Angabe des Fehlers eine E-Mail an info@excelbeispiele.de*!ExecFile(mailto:info@excelbeispiele.de?Subject=Fehler in der Artikelkatalogisierung &body=Sehr geehrter Herr Scheckelhoff ich habe in Ihrem Programm folgenden Fehler entdeckt: --nachfolgend bitte die Fehlerbeschreibung--,, 1)

Installation Zusatzsoftware PDF- Creator

Ebenfalls muss eine Zusatzsoftware installiert werden, mit der die Möglichkeit besteht, eine PDF- Datei zu erzeugen. Diese PDF-Software ist nicht Bestandteil der Artikelkatalogisierung, da diese nicht von mir stammt.

Bitte beenden Sie vor der Installation der Zusatzsoftware alle Programm, die zum Microsoft Office Packet gehören, wie z.B. Outlook oder Excel, da dieses die Voraussetzung für eine einwandfreie Installation ist. Sollte eines der in Office enthaltenen Programme geöffnet sein, wird die Installation mit einem Fehler beendet werden.

Die Installation des PDF-Creators sollte im Anschluß des Installationsendes der Katalogisierungssoftware automatisch starten. Sollte dieses nicht geschehen oder sollte die Installation der Software mit einem Fehler beendet werden, starten Sie bitte Ihren Explorer und wechseln in das Verzeichnis "C:\Programme\Excelbeispiele\Katalogisierung\PDF-Creator", sofern Sie bei der Installation den vorgegebenen Installationspfad nicht geändert haben. Ansonsten suchen Sie den PDF-Crator-Ordner im Installationspfad, den Sie vorgegeben habe. . Suchen Sie in dem Verzeichnis die Datei "Start_AutoInstallation.dot" und starten diese durch einen Doppelklick. Es wird ein Worddokument geöffnet, in dem Sie die Abfrage, ob Makros akzeptiert oder abgelehnt werden sollen, mit akzeptieren bestätigen müssen. Es werden verschiedene Fenster auf Ihrem Bildschirm erscheinen. Die Installation ist abgeschlossen, wenn kein Fenster und kein Worddokument mehr geöffnet auf dem Bildschirm oder in der Taskleiste am unteren Bildschirmrand vorhanden ist.


Die Funktionen

2. Die Funktionen und der Start

Dieses Programm soll dazu dienen, Artikel, wie z.B. Platten oder CD’s, zu katalogisieren. Hierbei wird bei der Eingabe eine eindeutige Nummer dem Artikel in der jeweiligen Kategorie zugeordnet, an dem man den Artikel an andrer Stelle wieder finden kann.

Die Artikel können an eine Rechnung übergeben werden, die dann ausgedruckt werden kann. Zusätzlich kann diese als Exceldatei exportiert werden.

Jedes Kategorieblatt kann entweder gedruckt, als PDF-Dokument oder als Exceldatei zwecks Weiterverarbeitung in Excel generiert werden.


Der Start

1. Der Start

Während des ersten Startens des Programms werden Ihnen die Lizenzbestimmungen (siehe Abbildung 1.a) des Programms angezeigt. Hier müssen Sie den Text bis zum Ende durchlesen und das am Ende befindliche Kontrollkästchen aktivieren. Mit dem Button „Einverstanden“ erkennen Sie die Lizenzbestimmungen noch mal an, obwohl Sie diese ja eigentlich schon durch das Installieren der Software anerkannt und bestätigt haben. Dieses Fenster erscheint nur beim 1. Start der Software. Bei erneuten Starten bleibt dieses Fenster verborgen.

Haben Sie die Lizenzbestimmungen akzeptiert, wird das Programm gestartet. Da Sie das Programm das erste mal starten, erhalten Sie während des Startens eine weitere Bildschirmmeldung (siehe Abbildung 1.b). Diese Meldung dient nur zur Info. Haben Sie bereits Daten aus dem Programm zu einem früheren Zeitpunkt gesichert, da Sie das Programm bereits einmal installiert hatten, oder weil Sie das Programm nach einem Update das erstel Mal starten, haben Sie die Möglichkeiten diese Daten manuell einzulesen. Beachten Sie dazu die Anleitung unter 5.4.2 Kategoriedaten einlesen.
Haben Sie das Programm das 1. Mal installiert, so werden Sie keine gesicherten Daten haben. Damit steht Ihnen diese Funktion zum manuellen Einlesen nicht zur Verfügung. Sie können erst Daten manuell einlesen, wenn Sie das Programm nach dem 1. Starten einmal beenden, da beim Beenden die Daten gesichert werden. Bei einem erneuten Starten werden die Daten dann automatisch eingelesen.

Abbildung 1.a

Abbildung 1.b


Eine Überschriftenauswahl treffen

1.1 Eine Überschriftenauswahl treffen

Nur beim 1. Starten des Programms öffnet eine Maske (siehe Abbildung 1.1.a), in der Sie sich entscheiden können, welche Überschriften Sie gerne in den Kategorieblättern und in der Datenerfassungsmaske sehen möchten. Hier sind bereits drei verschiedene Überschriftenrichtungen erstellt, die in dem Auswahlfeld (siehe Abbildung 1.1.a, rote Umrandung) ausgewählt werden können.

Sie haben aber auch die Möglichkeit, Ihrer Phantasie freien Lauf zu lassen und sich selber eigene für Sie aussagekräftige Überschriften zu überlegen. Tragen Sie diese in die entsprechenden Felder ein.

Mit der Vorschautaste (siehe Abbildung 1.1.a, grüne Umrandung) werden die Überschriften in die Überschriften oberhalb der einzelnen Felder zur Ansicht übernommen. Da diese Überschriften über den Eingabefeldern die Breite darstellen, wie diese dann auch später im Programm vorkommen, können Sie hier gleich sehen, ob die ein oder andere Überschrift eventuell zu lang ausgefallen ist. Erst wenn Sie den Button „Erfassen“ (siehe Abbildung 1.1.a, blaue Umrandung) betätigen, werden diese Überschriften dauerhaft im Programm verankert.

Lassen Sie hier einige Sorgfalt walten, da diese Einstellung sich dauerhaft auf das Katalogisierungsprogramm auswirkt. Ein nachträgliches Ändern der Überschriften ist dann nicht mehr möglich. Sie müssten dann das Programm deinstallieren und wieder installieren, um wieder die Überschriften zu vergeben.

Betätigen Sie in der Maske den Button „Abbruch“ werden die Standardüberschriften zum Erfassen von Platten, bzw. CD- Daten herangezogen und im Programm verankert.

Abbildung 1.1.a


Die Benutzerangaben

1.2 Eingabe der Benutzerdaten

Über die Maske „Benutzerangaben“ (siehe Abbildung 1.2 a) tragen Sie alle relevanten Daten Ihrer Person für eine spätere Rechnungserstellung ein. Dazu gehören neben Ihrem Namen und der Anschrift, die Steuernummer und Ihre Bankverbindung. Die Daten werden dann in einer Rechnung, sofern Sie eine erzeugen möchten, an entsprechender Stelle eingefügt.

Auf der rechten Seite finden Sie 2 Felder, die bei Ihnen im Moment noch leer sein dürften. Über die jeweilige Schaltfläche unterhalb der Leerfelder, können Sie ein Firmenlogo oder auch Ihre Unterschrift, sofern diese als Bild vorliegt, auswählen. Diese Bilder werden ebenfalls an entsprechender Stelle in einer Rechnung eingefügt.

Unterhalb der Felder für das Firmenlogo und der Unterschrift sehen Sie noch drei weitere Eingabefelder. Im Feld „Mwst.“ geben Sie den zurzeit aktuellen Mehrwertsteuersatz, sofern Sie diesen auf der Rechnung ausweisen dürfen, ein.

Die Zahl in dem Feld „Fälligkeitszeitraum“ wird für das Fälligkeitsdatum benötigt, das ausweist, bis wann die Rechnung zu begleichen ist. Diese Zahl wird zu dem Rechnungsdatum dazuaddiert und in der Rechnung als Text „Fälligkeitsdatum: TT.MM.JJJJ“ eingetragen.

In das Feld „Porto & Verpackung“ können Sie einen Betrag eintragen, der in der Rechnung für eventuell anfallendes Porto oder eine eventuell anfallende Verpackung in den Gesamtbetrag mit einfließt und auch in der Rechnung an entsprechender Stelle als Text „Porto & Verpackung 0,00 €“ bei Bedarf ausgewiesen werden kann. Wann Porto und Verpackung in die Berechnung mit einfließt entscheiden Sie in der Eingabemaske für die Rechnungsartikel, auf die ich zu einem späteren Zeitpunkt näher eingehe.

Mit der Schaltfläche „Übernehmen“ werden die angegebenen Daten an das Programm übergeben.

Über Abbruch verlassen Sie die Maske ohne einen Wert zu übernehmen.

Abbildung 1.2.a


Die Symbolleiste

1.3 Die Symbolleiste

Sämtliche Bedienungen erfolgen über die Symbolleiste mit ihren Schaltflächen und Menüs (siehe Abbildung 1.3.a).

Über die genauen Funktionen jeder einzelnen Schaltfläche erfahren Sie in den jeweiligen Kapiteln dieser Hilfe mehr. Um schnell eine Funktionserklärung einer Schaltfläche zu erhalten, klicken Sie in der Abbildung 2.1.a auf die entsprechende Schaltfläche.

Abbildung 1.3.a


Die Kategorien

2. Die Kategorien

Als Kategorien werden in diesem Programm die einzelnen Blätter genannt, in denen Daten erfasst werden können.

Als Beispiel:

Sie legen eine Artikelkatalogisierung für Autoteile an. Dann werden die Teile im Normalfall dem Hersteller zugeordnet. Das würde bedeuten, Sie müssten ein Blatt anlegen für die Automarke VW, ein Blatt für die Marke Opel und ein Blatt für Mercedes. Diese 3 angelegten Herstellerblätter sind dann die Kategorien.

Beim Klick auf "Kategorie" klappt ein Menü auf, in dem Sie eine neue Kategorie erstellen oder eine bereits vorhandene Kategorie löschen können.

Abbildung 2.a


Eine Kategorie anlegen

2.3.1 Eine Kategorie anlegen

Um eine Kategorie zu erstellen, klicken Sie in der Menüleiste auf "Kategorie" und in dem aufgeklappten Menü dann auf "Kategorie erstellen…" (siehe Abbildung 2.3.1.a, rote Umrandung).

Abbildung 2.3.1.a

Sie erhalten auf dem Bildschirm ein Eingabefeld (siehe Abbildung 2.3.1.b), in das Sie den Name der zu erstellenden Kategorie eintragen und abschließend den OK-Button betätigen müssen.

Abbildung 2.3.1.a

Daraufhin wird ein Blatt angelegt, bei dem in der 1. Zeile der Text "Übersicht" gefolgt von dem Kategorienamen, z.B. für eine Musikkategorie den Namen "Rock", steht (siehe Abbildung 2.3.b). 2 Zeilen tiefer sehen Sie die Überschriftennamen, die Sie beim Starten in der Überschriftenmaske vergeben haben. Der Rest ist leer. In dieses Blatt können nun Daten erfasst werden.

Abbildung 2.3.1.c


Eine Kategorie löschen

2.3.2 Eine Kategorie löschen

Möchten Sie eine Kategorie löschen, weil Sie sich eventuell anders entschieden haben und den Kategorienamen ändern möchten, klicken Sie auf "Kategorien" und danach auf "Kategorien löschen" (siehe Abbildung 2.3.2.a, rote Umrandung).

Abbildung 2.3.2.a

Daraufhin erscheint ein Fenster auf dem Bildschirm (siehe Abbildung 2.3.2.b), in dem sich ein Auswahlfeld befindet. Dieses Feld, enthält alle Namen aller erstellten Kategorien. Hier müssen Sie den Namen der zu löschenden Kategorie auswählen. Nach Klick auf den "Löschen - Button" wird die Kategorie, sofern Sie die anschließend erscheinende Bildschirmabfrage (siehe Abbildung 2.3.2.c) mit "Ja" bestätigen, gelöscht.

Klicken Sie in dem Auswahlfenster auf "Abbruch" oder in der Bildschirmabfrage auf "Nein" wird die Aktion abgebrochen und die Kategorie wird nicht gelöscht.

Abbildung 2.3.2.b

Abbildung 2.3.2.c


Einen Artikel eintragen

3.1 Einen Artikel erfassen

Um einen Artikel erfassen zu können, muss eine leere Zeile im aktuell angezeigten Kategorieblatt markiert werden. Im Regelfall handelt es sich bei einer Leerzeile immer um die schmale graue Zeile, durch die einzelne Artikel optisch abgegrenzt werden. Diese Leerzeile sehen Sie beim Erzeugen eines Kategorieblattes natürlich noch nicht. Daher markieren Sie in einem neuen leeren Blatt die Zeile unterhalb der Überschrift. Ob es sich wirklich um eine Leerzeile handelt sehen sie auch an dem Button "Daten erfassen…" (siehe Abbildung 3.1.a). Solange dieser Button mit dem Text "Daten erfassen…" angezeigt wird, haben Sie eine Leerzeile markiert und können einen neuen Artikel anlegen.

Abbildung 3.1.a

Durch das Anklicken des Buttons öffnen Sie die Eingabemaske (siehe Abbildung 3.1.b) , über die Artikel erfasst und an das Kategorieblatt übergeben wird. In dieser Eingabemaske werden bereits nach dem Öffnen standardmäßig in zwei Feldern Daten angezeigt.

Im Feld "Kategorien" steht der Name des aktuell sichtbaren Kategorieblatts. Sie können hier auch aus dem Auswahlfeld eine andere Kategorie, sofern Sie schon mehrere Kategorien angelegt haben, auswählen oder mit der Tastatur eintragen. Beim Eintragen eines Textes wird, sofern ein Eintrag mit der Buchstabenreihenfolge vorkommt, der Text autovervollständigt.
geben Sie dort einen Text ein, der in dem Auswahlfeld nicht vorkommt, wird im Feld links neben dem Auswahlfeld die darin befindliche Nummer gelöscht. Daran können Sie sehen, dass diese Kategorie noch nicht erstellt wurde uns somit nur eine Eingabe einer bereits vorhandenen Kategorie möglich ist.

Im Feld links neben dem Kategorieauswahlfeld wird die "Katalognummer" angezeigt, die der Artikel, sofern er erfasst werden würde, erhalten wird. Bei dieser Nummer muss es sich nicht immer um die nächst höhere Katalognummer, gesehen von der letzten Artikelnummer, handeln. Beim Öffnen des Fensters wird geprüft, ob eine lückenlose Artikelnummernauflistung vorhanden ist. Wenn ja, wird die nächste Nummer nach der letzten belegten genommen. Wird aber festgestellt, dass eine Nummer in der Aufzählung fehlt, wird diese Nummer als nächste freie Katalognummer genommen.

Als Beispiel: Sie haben 5 Artikel mit den Nummer P1 bis P5 erfasst. Nun löschen Sie den Artikel mit der Nummer P2. Somit sieht die Nummerauflistung wie folgt aus: P1, P3, P4, P5. Die Nummer P2 ist frei. Erstellen Sie nun einen Artikel, wird Ihnen beim Öffnen des Fenster als Katalognummer P2 angezeigt.

Die Katalognummer ist nicht änderbar, da sie von dem Programm vorgegeben wird. Könnte man diese Nummer ändern, würde die Wahrscheinlichkeit groß sein, das Nummern doppelt vergeben werden. Damit könnte man aber keine Datenbank aufbauen, da in einer Datenbank jedem darin aufgeführten Artikel ein eindeutiger Schlüssel zugewiesen werden muss, was nicht mehr gegeben wäre, wenn eine Nummer für mehrer Artikeln vorhanden wäre.

Im Feld "Plattentitel" können Sie nun den Namen des Artikels eintragen. Eine Begrenzung oder Einschränkung für dieses Feld gibt es, außer dass es sich um ein Eingabepflichtfeld handelt, nicht. Eingabepflichtfeld bedeutet, dieses Feld muss ausgefüllt sein, wenn Sie den eingetragenen Artikel an das Kategorieblatt übergeben möchten.

In das Auswahlfeld "Interpret" geben Sie nun den Interpreten der Platte/ CD ein oder wählen ihn aus dem Menü, das aufklappt, wenn Sie den Pfeil am rechten Ende des Feldes anklicken, aus. Nach der Eingabe wird geprüft, ob dieser Interpretenname bereits einmal bei einer früheren Artikelerfassung verwendet wurde. Wenn nicht, wird er in einer Datenbank eingefügt, so dass der Interpret bei Erfassen einer weiteren Platte von ihm, aus dem Auswahlfeld ausgewählt werden könnte. Auch bei diesem Feld handelt es sich um ein Pflichtfeld und muss ausgefüllt werden.

Mit dem Feld darunter (Plattenfirma) verhält es sich genau so wie mit dem Interpretenfeld. Bei Eingabe wird geprüft, ob die Plattenfirma schon mal früher eingetragen wurde. Wenn nicht, wird die Firma in der Datenbank aufgenommen. Dieses Feld muss ebenfalls ausgefüllt werden, da ein Pflichtfeld.

Um die "Plattennummer" zu erfassen, geben Sie die Nummer der Platte (steht meistens auf der Rückseite) in das Feld ein. Dieses Feld darf auch ungenutzt, also leer bleiben.

Im "Preisfeld" können Sie einen Preis eingeben, sofern Sie diesen Artikel verkaufen möchten und er somit mal auf einer Rechnung erscheinen wird. In dieses Feld dürfen nur Zahlen im Format "0,00" (einschließlich des Kommas) eingetragen werden. Die Währungseinheit muss nicht mit eingetragen werden. Auch dürfen dort keine Buchstaben verwendet werden. Dies wird aber vor dem Übertragen der Daten geprüft und wenn trotzdem dort ein Buchstabe eingetragen wurde, erscheint eine entsprechende Bildschirmmeldung.

Das Feld "Bemerkungen" ist zur freien Verfügung. Dort gibt es keinerlei Begrenzungen. Man sollte nur nicht unbedingt einen halben Roman hinein schreiben.

Auf der linken Seite der Maske haben Sie dann noch die Möglichkeit ein Cover/ Artikelbild, sofern dieses als Bilddatei zur Verfügung steht, anzugeben. Dieses Bild wird dann mit in die Zeile des Artikels übertragen und angezeigt. Zum Auswählen eines Bildes klicken Sie auf den Button "Bild laden". Es öffnet ein Dialogfenster, in dem Sie das Bild dann suchen und auswählen können. Um die Dateigröße möglichst klein zu halten, ist hier aber nur eine Auswahl non JPEG - Konvertierten Bildern (.jpg) möglich. Die Bildgröße sollte 250 x 250 Pixel nicht übersteigen, da sonst das den Anzeigerahmen sprengen würde.

Sind alle Daten für den Artikel eingetragen, betätigen Sie den Button "Erfassen". Die Daten werden in die markierte Zeile übertragen und die Inhalte aller Felder werden gelöscht. Das Feld "Katalognummer" zeigt dann die nächste freie Nummer an, die, wenn Sie einen weiteren Artikel erfassen würden, dem Artikel zugeordnet werden wird.

Abbildung 3.1.b


Einen_Artikel_aendern

3.2 Einen Artikel ändern

Möchten Sie eingegebene Daten zu einem Artikel löschen, markieren Sie einen Eintrag in der Zeile des zu ändernden Artikels. Danach klicken Sie auf den Button "Daten ändern..." (siehe Abbildung 3.2.a). Wie Sie sicherlich mitbekommen haben, stand dort vorher der Text "Daten erfassen...". Dieser Button ändert den Text, je nachdem ob ein Feld in einer Leerzeile oder ein Feld in einer Zeile die bereits einen Artikel enthält, markiert wurde. Sie können also anhand des Buttontextes sehen, ob eine Leerzeile zum Erfassen eines neuen Artikels oder eine gefüllte Zeile eines bestehenden Artikels ausgewählt wurde.

Abbildung 3.2.a

Es öffnet die gleiche Maske, die sich auch beim Erstellen eines neuen Artikels öffnet. Was die einzelnen Felder bedeuten habe ich bereits ausführlich unter "Einen Artikel eintragen" erklärt. Daher verzichte ich an dieser Stelle auf eine ausführliche Erklärung.
Nachdem Sie Ihre Daten geändert haben, klicken Sie auf den Button "Ändern" und die Daten werden im Kategorieblatt geändert.


Einen Artikel löschen

3.3 Einen Artikel löschen

Zum Löschen eines Artikels muss genau wie beim Ändern eines Artikels ein Feld in der Zeile, die den zu löschenden Artikeldaten enthält, markiert werden und dann den Button "Daten ändern..." (siehe Abbildung 3.3.a)betätigt werden.

Abbildung 3.3.a

In der geöffneten Maske sehen Sie unten einen Button mit dem Text "Löschen". Betätigen Sie diesen Button und es wird der ausgewählte Artikel, nachdem Sie die daraufhin erscheinende Sicherheitsabfrage (siehe Abbildung 3.3.b)mit "Ja" bestätigen, gelöscht. Wählen Sie in der Sicherheitsabfrage "Nein" wird der Artikel nicht gelöscht und es wird wieder in die Maske zum Daten ändern/ löschen gewechselt.

Abbildung 3.3.b


Eine_Rechnung_erstellen

4.1 Eine Rechnung erstellen

In dem Programm haben Sie auch die die Möglichkeit, über Ihre erfassten Artikel, sofern Sie diese z.B. in einem Internetshop zum Verkauf anbieten möchten, eine Rechnung zu erstellen. Zum erstellen einer Rechnung klicken Sie auf "Rechnung" (siehe Abbildung 4.1.a)und in dem dann aufgehenden Menü auf "Rechnung erstellen" (siehe Abbildung 4.1.b).

Abbildung 4.1.a

Abbildung 4.1.b

Durch das Betätigen des Buttons wird ein Rechnungsblatt (siehe Abbildung 4.1.c) erstellt. In dieses Rechnungsblatt können nur Daten über eine Maske (siehe Abbildung 4.1.d) eingetragen werden.
Die einzigen Daten, die Sie direkt in der Rechnungsvorlage eingeben können, befinden sich zum einen in dem Feld unterhalb des Textes "Rechnung" und zum anderen unterhalb des Textes "Fälligkeitsdatum" (siehe Abbildung 4.1.c, blaue Umrandung). Hier können Sie einen freien Text, wie z.B. eine persönliche Anrede und einen Gruß einfügen.
Möchten Sie in einem dieser frei zu definierenden Feldern einen Zeilenumbruch erzeugen, so betätigen Sie die Tastenkombination "Alt Enter" und Sie erhalten einen Umbruch.
Die Textlänge oder die Anzahl der Umbrüche ist/ sind nicht begrenzt. Das bedeutet, Sie können einen beliebig langen Text oder einen Text mit beliebig vielen Umbrüchen eintragen. Das der Text zu lang ist oder zu viele Umbrüche erzeugt wurden, sehen Sie dann daran, dass der Text oben und unten aus dem Feld heraus wandert. Dann sollten Sie den Text einkürzen oder Zeilenumbrüche löschen. Ein nachträgliches Vergrößern des Feldes ist nicht möglich, da es sich bei der Rechnung um eine Vorlage handelt, die genau auf ein DIN A4 Blatt angepasst wurde.

Abbildung 4.1.c

Nach dem Erstellen der Rechnungsvorlage öffnet sofort ein Eingabefeld (siehe Abbildung 4.1.d), in das die Daten des Empfängers eingetragen und die Artikel, die der Rechnung hinzugefügt werden soll, ausgewählt werden müssen. Einzelheiten zum Hinzufügen von Artikeln und was die einzelnen Felder bedeuten, entnehmen Sie dem Kapitel "4.1.1 Einen Artikel in die Rechnung einfügen".

Abbildung 4.1.d


Einen_Artikel_in_Rechnung_einfuegen

4.1.1 Einen Artikel in die Rechnung einfügen

Um einen Artikel der Rechnung hinzuzufügen, klicken Sie in der Menüleiste auf "Rechnung" und im Menü dann auf "Rechnungseintrag hinzufügen" (siehe Abbildung 4.1.1.a, rote Umrandung).

Abbildung 4.1.1.a

Es öffnet sich die Eingabemaske (siehe Abbildung 4.1.1.b), die sich ja auch bereits schon beim Rechnung erstellen geöffnet hat.

Auf der linken Seite sehen Sie unter der Überschrift "Kategorie" ein Auswahlfeld. Dort können Sie eine vorhandene Kategorie auswählen. Nachdem Sie eine Kategorie ausgewählt haben, erscheint links daneben ein weiteres Auswahlfeld. Dieses Feld enthält alle Katalognummern der ausgewählten Kategorie. Wählen Sie dort einen Katalognummer aus. Daraufhin werden die restlichen Datenfelder eingeblendet. Diese Felder enthalten alle für den Artikel erfassten Daten.

Auch der rechten Seite müssen Angaben zum Empfänger gemacht werden. Dort wird standardmäßig im Feld "Datum" das aktuelle Datum angezeigt. Hier kann aber auch jedes beliebige Datum eingetragen werden.
Daneben müssen Sie der Rechnung eine Nummer vergeben. Sie sollten hier aufpassen, dass Sie eine Nummer verwenden, die Sie nicht bereits vorher schon einmal vergeben haben. Bei einer Prüfung durch das Finanzamt würde es sonst zu Problemen kommen, wenn bei Ihnen mehrere Rechnungen mit der gleichen Nummer auftauchen. Prüfen Sie also ob Sie die Rechnungsnummer nicht schon einmal vergeben haben.
Darunter geben Sie Name und Anschrift des Empfängers an.
Ganz unten finden Sie noch ein Kontrollkästchen, das wenn angehakt, in die Rechnung am Ende den Betrag für Porto und Verpackung, den Sie in den Benutzerangaben eingetragen haben, eingefügt.
Durch Betätigen des Buttons "In Rechnung einfügen" wird der ausgewählte Artikel in die erste freie Zeile eingefügt.

Es können maximal 22 Artikel auf einer Rechnung erscheinen. Danach muss die Rechnung gedruckt und exportiert werden.

Abbildung 4.1.1.b


Einen_Artikel_in_Rechnung_loeschen

4.1.2 Einen Artikel in die Rechnung löschen

Zum Löschen eines Artikels klicken Sie in der Menüleiste auf den Eintrag "Rechnung" und dann auf "Rechnungseintrag löschen". In dem daraufhin öffnenden Fenster (siehe Abbildung 4.1.2.b) wählen Sie den Artikel, der gelöscht werden soll aus und klicken danach auf "Eintrag löschen".
Klicken Sie in dem Fenster auf den Button "Schließen" wird das Fenster ohne einen Eintrag zu löschen wieder geschlossen.

Abbildung 4.1.2.a

Abbildung 4.1.2.b


Eine_Rechnung_drucken

4.2 Eine Rechnung drucken

Damit eine Rechnung ausgedruckt wird, klicken Sie in der Menüleiste wieder auf den Eintrag "Rechnung" und dann auf "Rechnung drucken...". Die Rechnung wird zunächst in der Übersicht angezeigt und wenn Sie dann in der Übersicht auf den Button "Drucken..." klicken, wird das Blatt an dem Drucker, den Sie im Druckdialogfeld auswählen können, ausgedruckt.

Abbildung 4.2.a


Eine_Rechnung_exportieren

4.3 Eine Rechnung exportieren

Eine Rechnung muss exportiert werden, wenn z.B. eine Rechnung 22 Artikel enthält und Sie weitere Artikel erfassen möchten oder wenn Sie eine neue Rechnung für einen neuen Kunden erstellen möchten. Dazu klicken Sie auf "Rechnung" und dann auf "Rechnung exportieren..." (siehe Abbildung 4.3.a, rote Umrandung). Es wird ein Dialogfenster geöffnet, in dem Sie den Speicherort, an dem die Datei als Exceldatei exportiert werden soll, auswählen müssen. Danach wird die Rechnung an dem ausgewählten Ort in eine Exceldatei exportiert.

Abbildung 4.3.a


Eine_Rechnung_loeschen

4.4 Eine Rechnung löschen

Zum Löschen einer Rechnung klicken Sie auf "Rechnung" und dann auf "Rechnung löschen..." (siehe Abbildung 4.4.a, rote Umrandung). Es erscheint eine Abfrage. Wenn Sie hier mit "Ja" bestätigen, wird die Rechnung unwiderruflich gelöscht.

Abbildung 4.4.a


Eine_Kategorie_drucken

5.1 Eine Kategorie drucken

In der Menüauswahl "Ausgabe => Drucken" (siehe Abbildung 5.1.a, rote Umrandung) können Sie das aktuelle Kategorieblatt an einem Drucker, den Sie aus einem Druckdialogfenster auswählen können, ausdrucken. Das auszudruckendes Blatt wird vor dem Drucken in einer Seitenansicht angezeigt, so dass Sie das gesamte Blatt übersehen können.

Abbildung 5.1.a


Eine_Kategorie_als_PDF_Dokument_generieren

5.2 Eine Kategorie als PDF-Dokument generieren

Möchten Sie ein Kategorieblatt weitergeben, z.B. per Mail an einen Käufer oder zum Einstellen auf Ihre Homepage in das Internet, so haben Sie die Möglichkeit, das aktuell sichtbare Kategorieblatt als PDF- Datei zu generieren. Dazu muss allerdings die Zusatzsoftware "PDF-Creator" installiert sein. Haben Sie die Zusatzsoftware installiert gehen Sie in der Menüleiste auf "Ausgabe" und dann auf "PDF-Datei erstellen" (siehe Abbildung 5.2.a, rote Umrandung). Nachdem Sie den Button betätigt haben, öffnet ein Fenster, in dem Sie den Speicherort der PDF-Datei auswählen müssen. Mit Klick auf "OK" wird die PDF-Datei an dem ausgewählten Ort erstellt.

Abbildung 5.2.a


Eine_Kategorie_als_Exceldatei_generieren

5.3 Eine Kategorie als Exceldatei generieren

Sie können aber auch ein Kategorieblatt in eine Exceldatei exportieren. Dazu nacheinander auf "Ausgabe" und "Excelliste zur Weiterverarbeitung erstellen" (siehe Abbildung 5.3.a, rote Umrandung) auswählen. Es öffnet genau wie beim Erstellen einer PDF-Datei ein Dialogfenster, in dem Sie den Speicherort auswählen müssen. Nach der Auswahl und dem Klick auf "OK" wird das Blatt an den Speicherort in eine Exceldatei exportiert.

Abbildung 5.3.a


Eine_Kategorie_sichern

5.4.1 Kategoriedaten sichern

Beim "Beenden " der Datei werden die Kategoriedaten in eine separate Datei exportiert. Dieses Exportieren können Sie aber auch manuell veranlassen. Klicken Sie dazu nacheinander auf die Menüeinträge wie in Abbildung 5.4.1.a, rote Umrandung, abgebildet. Die Daten werden dann in einen von Ihnen vorgegebenen Pfad, den Sie beim 1. Beenden des Programms angeben müssen/ mussten, gesichert. Ist der Exportvorgang erfolgreich gewesen, so erscheint die Meldung aus Abbildung 5.4.1.b. Wird der Exportvorgang hingegen mit einem Fehler beendet, so erscheint die Meldung aus Abbildung 5.4.1.c. Wenn ein Exportvorgang nicht erfolgreich war, kann auch kein Importvorgang gestartet werden. Außerdem wird die Importfunktion beim nächsten Öffnen der Datei nicht ausgeführt.

Abbildung 5.4.1.a

Abbildung 5.4.1.b

Abbildung 5.4.1.c


Eine_Kategorie_einlesen

5.4.2 Kategoriedaten einlesen

Haben Sie eventuell einen Fehler bei einer Eingabe gemacht, z.B. alle Daten in eine falsche Kategorie eingetragen, so haben Sie die Möglichkeit, durch "Einlesen der Kategoriedaten" (siehe Abbildung 5.4.2.a, rote Umrandung), die Daten, die beim letzten Beenden oder durch zwischenzeitlich manuell auslösen der Funktion "Kategoriedaten sichern..." gesichert wurden wieder zu importieren.
Wenn Sie die Funktion gestartet haben, erscheint eine Sicherheitsabfrage (siehe Abbildung 5.4.2.b), die Sie mit "Ja" oder "Nein" bestätigen können. Haben Sie die Abfrage mit "Ja" bestätigt, werden die Daten wieder eingelesen. Zum Abschluß erscheint noch eine Importbestätigung auf dem Bildschirm (siehe Abbildung 5.4.2.c) und Sie haben dann somit den Zustand wie beim letzten Öffnen des Programms.
Die exportierten Kategoriedaten können nur wieder eingelesen werden, wenn der letzte Exportvorgang erfolgreich, d.h. ohne eine Fehlermeldung, abgeschlossen wurde. Sollte der letzte Exportvorgang mit einem Fehler abgeschlossen worden sein, so dass keine korrekten Daten zum Importieren vorliegen könnten, erscheint die Meldung wie in Abbildung 5.4.2.c zu sehen und der Vorgang wird ohne Daten zu Importieren abgebrochen.

Sie müssen diesen Importvorgang ebenfalls manuell ausführen, wenn Sie ein Update, das eine neuere Version auf Ihrem System installiert, durchgeführt haben. Beim 1. Starten können dann keine Daten importiert werden, da das Programm noch nicht weiß, in welchem Verzeichnis sich Ihre gesicherten Daten befinden. Sie erhalten während des Startens eine Bildschirmmeldung (siehe Abbildung 5.4.2.e). Nachdem Starten können Sie dann die gesicherten Daten manuell einlesen. Denken Sie bitte daran, dass Sie bei dieser Auswahl auch das Verzeichnis "Datensicherung_Artikelkatalogisierung" mit auswählen, da sich darin die gesicherten Daten befinden.

Abbildung 5.4.2.a

Abbildung 5.4.2.b

Abbildung 5.4.2.c

Abbildung 5.4.2.d

Abbildung 5.4.2.e


Zwischen_den_Kategorien_blaettern

6 Zwischen den Kategorien blättern

Damit Sie zischen den einzelnen Kategorien und einer eventuell erstellten Rechnung hin und her wechseln können, müssen Sie in dem Auswahlfenster in der Menüleiste (siehe Abbildung 6.a), ein Blatt auswählen. Es wird dann zu dem ausgewählten Blatt gewechselt.

Abbildung 6.a


Das_Fragezeichenmenue

7. Das Fragezeichenmenü

Hinter dem Fragezeichenmenü verbergen sich zum Einen die Versionsinfos (Siehe Abbildung 7.b). Dann gelangt man von hier durch Klick auf den Button "Zur Homepage" zu meiner Homepage "www.excelbeispiele.de". Bei dem Betätigen des Buttons "Lizenz anzeigen" werden die Lizenzbestimmungen (siehe Abbildung 7.c) angezeigt. Klickt man auf "Programmhilfe..." öffnet diese Hilfe.

Abbildung 7.a

Abbildung 7.b

Abbildung 7.c


Die_Katalogisierungssoftware_beenden

9. Die Katalogisierungssoftware beenden

Über diesen Button (siehe Abbildung 9.a) wird das Programm gespeichert und nach dem Speichern geschlossen. Während des Speichervorgangs werden die Kategoriedaten in einer separaten Datei ausgelagert, so dass Sie auch nach einem Programmabsturz, der eventuell alle eingetragenen Daten gelöscht hat, noch zur Verfügung stehen.
Haben Sie das Programm das 1. Mal geöffnet, werden Sie beim Beenden aufgefordert, einen Speicherpfad für die Exportdatei anzugeben. Es öffnet ein Dialogfenster, in dem Sie den Pfad auswählen können/ müssen. In diesen Pfad wird dann ein Verzeichnis, sofern es dort nicht bereits besteht, mit dem Namen "Datensicherung_Artikelkatalogisierung" erstellt, in das die Datei mit den Exportdaten gesichert wird

Abbildung 9.a


Versionsinfos

9 Versionsänderungen

Version 1.00 (Build1) => Version 1.10 (Build1)

- Einige Fehler beseitigt.

Version 1.10 (Build1) => Version 1.11 (Build1)

- Einige Fehler beseitigt.

- Export- und Importfunktion der Kategoriedaten integriert.
Die Kategoriedaten werden beim Beenden automatisch in eine separate Datei exportiert und beim Öffnen wieder importiert. Außerdem kann die Export- und Importfunktion auch
manuell im Programm gestartet werden.


Eigenwerbung

Sollte Ihnen das Programm gefallen haben und Sie noch weiteres Interesse an Excel und VBA Codes haben, dann schauen Sie doch mal auf meiner Internetseite

www.excelbeispiele.de

vorbei. Dort finden Sie noch weitere nützliche oder auch unnütze Dinge die mit Excel zu tun haben. Alle Anleitungen und Beispiele sind dort auch als Beispieldatei zum Herunterladen vorhanden.

Sie haben aber auch die Möglichkeit sich ein individuell an Ihre Bedürfnisse angepasstes Programm erstellen zu lassen. Setzen Sie sich einfach mit mir per E-Mail in Verbindung. ich erstelle Ihnen nach dem Erörtern Ihrer Bedürfnisse ein unverbindliches Angebot.

Zum Schluss möchte ich mich dafür bedanken, dass Sie die Hilfe bis hier durchgelesen haben. Über ein Feedback in Form eines Eintrages in meinem Gästebuch wie das Programm, einschließlich der Hilfe, gefallen hat, würde mich freuen.

Viel Spaß beim Benutzen der Katalogisierungssoftware!!!


Willkommensseite

Herzlich Willkommen, zur Hilfe für das Artikelkatalogisierungsprgramm.

Bitte lesen Sie sich die Hilfe aufmerksam durch, damit Ihnen das Arbeiten mit dem Programm etwas leichter fällt.

Sie haben auch während des Arbeitens jederzeit die Möglichkeit im Programm durch Betätigen der F1-Taste auf diese Hilfe zurückzugreifen.


Willkommensseite

Herzlich Willkommen, zur Hilfe für das Artikelkatalogisierungsprogramm.

Bitte lesen Sie sich die Hilfe aufmerksam durch, damit Ihnen das Arbeiten mit dem Programm etwas leichter fällt.

Sie haben auch während des Arbeitens jederzeit die Möglichkeit im Programm durch Betätigen der F1-Taste auf diese Hilfe zurückzugreifen.